Emitted when the current user leaves a Chat. The primary reason for this event is situations in which a user has multiple active sessions (e.g. using the app on two different devices) and one of the sessions leaves a ChatChannel. Since the other session may not have an instance of the ChatChannel, applications can listen for this event outside of the actual `ChatChannel`.

Note that this is emitted from the ChatService as opposed to a Chat.

### Hierarchy

- ChatLeftEvent

### Implements

- IChatEvent

## Index

### Properties

- chatId
- name
- NAME

## Properties

### chatId

chatId: string

Implementation of IChatEvent.chatId

The ID of the chat that was just left.

### name

name: string = ChatLeftEvent.NAME

Implementation of IChatEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### StaticNAME

NAME: "left" = "left"